curl --request GET \
--url https://api.tokenfactory.nebius.com/v1/operations/{operation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenfactory.nebius.com/v1/operations/{operation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenfactory.nebius.com/v1/operations/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3a3fd2317bbe4b3bb9842bc1b5275eb9",
"type": "yql",
"params": {
"query": "SELECT * FROM {src_0} WHERE condition"
},
"src": {
"id": "example_dataset",
"version": "0ed2d94b38fb40b9b61f6a01b43d53de"
},
"dst": {
"id": "example_dataset",
"version": "0ed2d94b38fb40b9b61f6a01b43d53de"
},
"status": "queued",
"created_at": 1614807352,
"in_progress_at": 1614807352,
"finished_at": 1614807352,
"ai_project_id": "example_project"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get operation info by id
Get operation info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Operation id
"3a3fd2317bbe4b3bb9842bc1b5275eb9"
Type of the operation.
yql, materialize_history, batch_inference, finetuning, file_to_dataset, dataset_to_file, merge "yql"
"materialize_history"
"batch_inference"
"finetuning"
"file_to_dataset"
"dataset_to_file"
"merge"
Parameters specific to the operation type.
- YQLParams
- MaterializeHistoryParams
- BatchInferenceParams
- FineTuningParams
- FileToDatasetParams
- DatasetToFileParams
- MergeParams
Show child attributes
Show child attributes
{
"query": "SELECT * FROM {src_0} WHERE condition"
}
List of source datasets for the operation.
- OperationSrcDataset
- OperationSrcTrainDataset
- OperationSrcValidationDataset
- OperationSrcDatasetToFile
Show child attributes
Show child attributes
{
"id": "example_dataset",
"version": "0ed2d94b38fb40b9b61f6a01b43d53de"
}
List of destination datasets for the operation.
Show child attributes
Show child attributes
{
"id": "example_dataset",
"version": "0ed2d94b38fb40b9b61f6a01b43d53de"
}
Current status of the operation.
queued, running, succeeded, failed, cancelled, unknown "queued"
"running"
"succeeded"
"failed"
"cancelled"
"unknown"
The Unix timestamp (in seconds) for when the operation was created.
1614807352
The Unix timestamp (in seconds) for when the operation started processing.
1614807352
The Unix timestamp (in seconds) for when the operation was completed.
1614807352
AI Studio project ID to associate with the dataset.
"example_project"
Was this page helpful?